<?php
require("../../../database/dbConection.php");
$mesAgenda    = date("Y-m-01");
$diaMesAgenda = date("Y-m-d");

# -- MUDAR STATUS DA AGENDA SUB EXPIRADA -- #
$updateStatusAgendaSub = $rsConexao->prepare("UPDATE reg_tb_agenda_sub SET status_agenda='E' WHERE (concat(ano_agenda,'-',mes_agenda,'-',LPAD(dia_agenda, 2, '0'))<'$diaMesAgenda') AND (status_agenda='A')");
$updateStatusAgendaSub ->execute();

# -- MUDAR STATUS DA AGENDA PRINCIPAL EXPIRADA -- #
$updateStatusAgendaPincipal = $rsConexao->prepare("UPDATE reg_tb_agenda SET status_agenda='E' WHERE (concat(ano_agenda,'-',mes_agenda,'-01')<'$mesAgenda') AND (status_agenda='A')");
$updateStatusAgendaPincipal ->execute();
$updateStatusAgendaPincipal ->closeCursor();
  # -- Verificar se ainda tem agenda sub no mês atual
  $sqlTemAgendaAtiva = "SELECT count(id_agenda_sub) AS totalRegistros 
  FROM reg_tb_agenda_sub 
  WHERE (concat(ano_agenda,'-',mes_agenda,'-',LPAD(dia_agenda, 2, '0'))<'$diaMesAgenda') 
  AND (status_agenda='A')";
  $stmTemAgendaAtiva  = $rsConexao->prepare($sqlTemAgendaAtiva);
  $stmTemAgendaAtiva  ->execute();
  $rsTemAgendaAtiva   = $stmTemAgendaAtiva->fetch(PDO::FETCH_OBJ);
  if($rsTemAgendaAtiva->totalRegistros==0){
    $updateStatusAgendaPincipal = $rsConexao->prepare("UPDATE reg_tb_agenda SET status_agenda='E' WHERE (concat(ano_agenda,'-',mes_agenda,'-01')<'$mesAgenda') AND (status_agenda='A')");
    $updateStatusAgendaPincipal ->execute();    
  }

# -- MUDAR STATUS DO AGENDAMENTO PARA PENDENTE -- #
  $stmAtualizarAgendamento  = $rsConexao->prepare("UPDATE reg_tb_agendamentos SET status_agendamento='P' WHERE (date_format(data_atendimento,'%Y-%m-%d')<'$diaMesAgenda') AND (status_agendamento='A' OR status_agendamento='E')");
  $stmAtualizarAgendamento  -> execute();


# -- DESATIVAR STATUS DO FERIADO
$dataReferenciaFeriado  = date("Y-m-d");
$stmAtualizarFeriado    = $rsConexao->prepare("UPDATE reg_tb_feriados SET status_feriado='I' WHERE (date_format(data_fimferiado,'%Y-%m-%d')<'$dataReferenciaFeriado') AND (status_feriado='A')");
$stmAtualizarFeriado    -> execute();
?>
